<?php

namespace App;

use Illuminate\Database\Eloquent\Model;

class CodigoPostal extends Model
{
    protected $table = 'crm_codigo_postal';
    //
    public function pais(){
        return $this->hasOne('App\Pais', 'id', 'id_pais');
    }
    public function departamento(){
        return $this->hasOne('App\Departamento', 'id', 'id_departamento');
    }
    public function municipio(){
        return $this->hasOne('App\Municipio', 'id', 'id_municipio');
    }
    public function region(){
        return $this->hasOne('App\Region', 'id', 'id_region');
    }
    public function gira(){
        return $this->hasOne('App\Gira', 'id', 'id_gira');
    }
    public function zona(){
        return $this->hasOne('App\Zona', 'id', 'id_zona');
    }
}
